% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/import.R
\name{import_ligrecextra_interactions}
\alias{import_ligrecextra_interactions}
\alias{import_LigrecExtra_Interactions}
\title{Imports interactions from the `ligrec extra` dataset of OmniPath}
\usage{
import_ligrecextra_interactions(
  cache_file = NULL,
  resources = NULL,
  organism = 9606,
  fields = NULL,
  default_fields = TRUE,
  references_by_resource = TRUE,
  ...
)

import_LigrecExtra_Interactions(...)
}
\arguments{
\item{cache_file}{path to an earlier data file}

\item{resources}{interactions not reported in these databases are
removed. See \code{\link{get_interaction_resources}} for more information.}

\item{organism}{Interactions are available for human, mouse and rat.
Choose among: 9606 human (default), 10116 rat and 10090 Mouse}

\item{fields}{The user can define here the fields to be added. If used, set 
the next argument, `default_fields`, to FALSE.}

\item{default_fields}{whether to include the default fields (columns) for
the query type. If FALSE, only the fields defined by the user in the
`fields` argument will be added.}

\item{references_by_resource}{if FALSE, removes the resource name prefixes
from the references (PubMed IDs); this way the information which reference
comes from which resource will be lost and the PubMed IDs will be unique.}

\item{...}{Passed to \code{import_ligrecextra_interactions}.}
}
\value{
A dataframe containing ligand-receptor interactions including
the ones without literature references
}
\description{
Imports the dataset from:
\url{https://omnipathdb.org/interactions?datasets=ligrecextra},
which contains ligand-receptor interactions without literature reference.
The ligand-receptor interactions supported by literature references
are part of the `omnipath` dataset.
}
\examples{
interactions <- import_ligrecextra_interactions(
    resources = c('HPRD', 'Guide2Pharma'),
    organism = 9606
)

}
\seealso{
\code{\link{get_interaction_resources},
  \link{import_all_interactions}}
}
